curl -H "Authorization: Bearer gmcp_your_api_key" \
"https://yoursite.com/wp-json/getmcp/v1/servers/1/resources/3"
{
"id": 3,
"server_id": 1,
"uri": "docs://tool-guide",
"name": "Tool Usage Guide",
"description": "Instructions for using weather tools effectively",
"mime_type": "text/markdown",
"data_source_type": "static",
"data_source_config": {
"content": "# Weather Tools Guide\n\nUse `get_weather` for current conditions..."
},
"template_uri": null,
"created_at": "2025-03-18T10:00:00",
"updated_at": "2025-03-18T10:00:00"
}
Retrieve a single resource by ID.
curl -H "Authorization: Bearer gmcp_your_api_key" \
"https://yoursite.com/wp-json/getmcp/v1/servers/1/resources/3"
{
"id": 3,
"server_id": 1,
"uri": "docs://tool-guide",
"name": "Tool Usage Guide",
"description": "Instructions for using weather tools effectively",
"mime_type": "text/markdown",
"data_source_type": "static",
"data_source_config": {
"content": "# Weather Tools Guide\n\nUse `get_weather` for current conditions..."
},
"template_uri": null,
"created_at": "2025-03-18T10:00:00",
"updated_at": "2025-03-18T10:00:00"
}
curl -H "Authorization: Bearer gmcp_your_api_key" \
"https://yoursite.com/wp-json/getmcp/v1/servers/1/resources/3"
{
"id": 3,
"server_id": 1,
"uri": "docs://tool-guide",
"name": "Tool Usage Guide",
"description": "Instructions for using weather tools effectively",
"mime_type": "text/markdown",
"data_source_type": "static",
"data_source_config": {
"content": "# Weather Tools Guide\n\nUse `get_weather` for current conditions..."
},
"template_uri": null,
"created_at": "2025-03-18T10:00:00",
"updated_at": "2025-03-18T10:00:00"
}